ActiveModsList = {}

ActiveModsList.mods = {}
ActiveModsList.listItems = {}
ActiveModsList.currentModIndex = 1

ActiveModsList.refresh = function()
	ActiveModsList.mods = {}
	ActiveModsList.listItems = {}

	local mods = ListKeys("mods.available")
	for i=1, #mods do
		local active = GetBool("mods.available."..mods[i]..".active")
		if active then
			local mod = {
					id = mods[i],
					name = GetString("mods.available."..mods[i]..".name"),
					description = GetString("mods.available."..mods[i]..".description"),
					tags = GetString("mods.available."..mods[i]..".tags")
				}
				ActiveModsList.mods[#ActiveModsList.mods+1] = mod
		end
	end
end
